package com.fastest.pass.home.presentation.ui.fragment

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.compose.ui.platform.ComposeView
import androidx.fragment.app.viewModels
import com.fastest.pass.BaseFragment
import com.fastest.pass.home.presentation.ui.component.BottomTabNavigation
import com.fastest.pass.home.presentation.ui.component.HomeClickType
import com.fastest.pass.home.presentation.viewmodel.HomeViewModel
import com.fastest.pass.home.utils.HomeNavigation
import com.fastest.pass.home.utils.HomeNavigationRoute
import com.fastest.pass.ui.theme.FastestPassTheme
import dagger.hilt.android.AndroidEntryPoint
import javax.inject.Inject

@AndroidEntryPoint
class HomeFragment : BaseFragment() {

    val viewModel: HomeViewModel by viewModels()

    @Inject
    lateinit var navigation: HomeNavigation

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        navigation.navigate(this)
    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        return ComposeView(requireActivity()).apply {
            setContent {
                FastestPassTheme {
                    BottomTabNavigation {
                        when (it) {
                            HomeClickType.HOME -> {
                                viewModel.navigateTo(HomeNavigationRoute.OpenHome)
                            }

                            HomeClickType.BROWSE -> {
                                viewModel.navigateTo(HomeNavigationRoute.OpenBrowse)
                            }

                            HomeClickType.SECURITY -> {
                            }

                            HomeClickType.ACCOUNT -> {
                            }
                            else -> {}
                        }
                    }
                }
            }
        }
    }
}