package com.fastest.pass.home.utils

import androidx.lifecycle.lifecycleScope
import androidx.navigation.fragment.findNavController
import com.fastest.pass.R
import com.fastest.pass.home.presentation.ui.fragment.HomeFragment

class HomeNavigation {

    fun navigate(source:HomeFragment){
        source.lifecycleScope.launchWhenStarted {
            source.viewModel.router.collect{ route ->

                when(route){
                    is HomeNavigationRoute.OpenHome -> {
                        source.findNavController().navigate(R.id.welcomeFragment)
                    }
                    is HomeNavigationRoute.OpenBrowse ->{
                        source.findNavController().navigate(R.id.loginFragment)
                    }

                    else -> {}
                }
            }
        }
    }

}