package com.fastest.pass.masterlogin.utils

import androidx.lifecycle.lifecycleScope
import androidx.navigation.fragment.findNavController
import com.fastest.pass.R
import com.fastest.pass.masterlogin.presentation.ui.MasterLoginFragment

class MasterLoginNavigation {

    fun navigate(masterLoginFragment: MasterLoginFragment) {
        masterLoginFragment.lifecycleScope.launchWhenStarted {
            masterLoginFragment.viewmodel.router.collect { router ->
                when (router) {
                    MasterLoginRoute.OpenNoneScreen -> {}
                    MasterLoginRoute.OpenHomeScreen -> {
                        masterLoginFragment.findNavController().navigate(R.id.homeFragment)
                    }
                    MasterLoginRoute.GoBackToLoginScreen -> {
                        masterLoginFragment.findNavController().popBackStack()
                    }
                }

                masterLoginFragment.viewmodel.navigateTo(MasterLoginRoute.OpenNoneScreen)
            }
        }
    }
}